=== modified file 'gnulib/Makefile.am'
--- gnulib/Makefile.am	2009-04-18 06:25:27 +0000
+++ gnulib/Makefile.am	2009-07-26 21:24:10 +0000
@@ -33,6 +33,7 @@
 libgnu_la_DEPENDENCIES = $(gl_LTLIBOBJS)
 EXTRA_libgnu_la_SOURCES =
 libgnu_la_LDFLAGS = $(AM_LDFLAGS)
+libgnu_la_CFLAGS =
 
 ## begin gnulib module getopt
 

=== modified file 'gnulib/getopt.c'
--- gnulib/getopt.c	2009-07-26 03:10:33 +0000
+++ gnulib/getopt.c	2009-07-26 21:24:10 +0000
@@ -1111,9 +1111,9 @@
 #endif
 
 int
-getopt (int argc, char **argv, const char *optstring)
+getopt (int argc, char *const *argv, const char *optstring)
 {
-  return _getopt_internal (argc, argv, optstring, NULL, NULL, 0,
+  return _getopt_internal (argc, (char **) argv, optstring, NULL, NULL, 0,
 			   POSIXLY_CORRECT);
 }
 

=== modified file 'plugin/innobase/plugin.ac'
--- plugin/innobase/plugin.ac	2009-04-20 14:42:34 +0000
+++ plugin/innobase/plugin.ac	2009-07-26 21:24:10 +0000
@@ -29,17 +29,17 @@
   AC_C_BIGENDIAN
   case "$target_os" in
          lin*)
-           CFLAGS="$CFLAGS -DUNIV_LINUX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_LINUX";;
          hpux10*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX -DUNIV_HPUX10";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX -DUNIV_HPUX10";;
          hp*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE -DUNIV_HPUX";;
          aix*)
-           CFLAGS="$CFLAGS -DUNIV_AIX";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_AIX";;
          irix*|osf*|sysv5uw7*|openbsd*)
-           CFLAGS="$CFLAGS -DUNIV_MUST_NOT_INLINE";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_MUST_NOT_INLINE";;
 	 *solaris*|*SunOS*)
-           CFLAGS="$CFLAGS -DUNIV_SOLARIS";;
+           AM_CFLAGS="$AM_CFLAGS -DUNIV_SOLARIS";;
   esac
   INNODB_DYNAMIC_CFLAGS="-DDRIZZLE_DYNAMIC_PLUGIN"
   case "$target_cpu" in

